Summary:	 SKK Language Engine for IIIMF
Name:	     iiimf-skk
Version:     0.1.20.2
Release:	 2k
License:     GPL or X11
Group:	     User Interface/X
URL:		 http://www.kondara.org/~famao/iiimf-skk/
Source:		 iiimf-skk-%{version}.tar.gz
Requires:	 glib
BuildRequires: glib-devel
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
IIIMF-SKK is a Language Engine Module for IIIMF(Internet/Intranet Input Method Framework).
This module provides SKK(Simple Kana to Kanji conversion program, an input method of Japanese) 
like input method. 

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall xauxdir=%{buildroot}%{_libdir}/im/locale/ja/skk/xaux \
				leifdir=%{buildroot}%{_libdir}/im/leif plugindir=%{buildroot}%{_libdir}/%{name}/plugins

# Kondara MNU/Linux Specific
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
cat <<EOF >%{buildroot}%{_sysconfdir}/X11/xinit/xim.d/SKKLE
NAME="SKKLE/IIIMP"
IM_EXEC="env LC_ALL=ja_JP.eucJP /usr/lib/im/httx -if skk -lc_basic_locale ja_JP.eucJP -xim htt_xbe"
XMODIFIERS=@im=htt
HTT_DISABLE_STATUS_WINDOW=t
HTT_GENERATES_KANAKEY=t
HTT_USES_LINUX_XKEYSYM=t
export XMODIFIERS HTT_DISABLE_STATUS_WINDOW HTT_GENERATES_KANAKEY \
HTT_USES_LINUX_XKEYSYM

export IM_EXEC
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/im/locale/ja/skk
%{_libdir}/im/leif/skk.*
%{_libdir}/%{name}/plugins
%{_sysconfdir}/X11/xinit/xim.d/SKKLE

%changelog
* Sun Mar 03 2002 Motonobu Ichimura <famao@kondara.org>
- first release for public
